あなたの作るhapiアプリケーションの各エンドポイントに対し、ルート
コンフィギュレーションは様々なカスタマイズ手段を提供します。それらの
手段の内の一つがバリデーション（検証）です。

このバリデーションは以下のものが対象となります。

* パスで渡されるパラメータ
* リクエストのデータ本体
* クライアントに返すレスポンス

バリデーションオブジェクトは検証フレームワークの'`Joi`'で定義されます。

'chikens'というエンドポイントを提供するルートコンフィギュレーションを
持ったサーバーを作ります。このエンドポイントは具体的には以下です。

```
/chickens
```

ルートコンフィギュレーションに'`breed`'という名前のパスパラメータを
追加し、'`breed`'に対しそのコンフィギュレーション中でバリデーションの
設定も行います。このエクササイズでは、'`breed`'がパス中で提供される
必要がある、ということ設定するのみで、内容に対する検証は行いません。

-----------------------------------------------------------------
## ヒント

コマンドラインから渡されたポート番号をlistenするサーバーを作ります。
ルートのコンフィギュレーションは以下のようなものになるでしょう。

```js
var routeConfig = {
    path: '/a/path/{with}/{parameters}',
    method: 'GET',
    handler: myHandler,
    config: {
        validate: {
            params: {
                with: Joi.string().required(),
                parameters: Joi.string().required()
            }
        }
    }
}
```

ルートに関する情報は以下を参照して下さい。

    https://hapijs.com/api

Joiの情報は以下にあります。

    {rootdir:/node_modules/joi/README.md}

Joiのインストールは下記のコマンドです。

```sh
npm install joi
```
